Subject: FW: [P2Prg] Definition of p2p

From: "Raymond Gao" <[email-masked]>
Date: Mon, 4 Aug 2003 08:46:40 -0500

Fyi, about definition of P2P

 -Raymond Gao
-----Original Message-----
From: Raymond Gao [mailto:[email-masked]]
Sent: Saturday, August 02, 2003 10:20 AM
To: Michael Rogers
Subject: RE: [P2Prg] Definition of p2p
Importance: High

Hi,

I also have some ideas about what is considered as P2P computing. See
following.

Peer-to-Peer computing defines a model that is based on reciprocal and
ad-hoc relationships. In a P2P network, contents could originate from edge
peers and are to be repopulated throughout the network based on informal
associations and dynamic connections between peers, super-peers, and
session-leaders, etc.

Relationships between peers are created on the fly and on mutual needs. The
relationship tends to be short-term or transient in nature. Identity and
trust could be leading considerations for enterprise strength P2P.

The clients for P2P interaction could be devices ranging from a PC, to a
Unix workstation, to a file server, to a mainframe, to a handheld device,
i.e. personal digital assistant (PDA), a cell phone, a wristwatch, or even a
MP3 player, etc. Equality and reciprocal statue are more considered
fundamental aspects under the P2P model.

The general distributed computing definition further says that those
endpoints should be hosted on individual environments, separate operating
systems (OS) and process threads.

I hope my above definition for P2P computing is of some use and can be
incorporated into the broad understanding.

Best wishes,

-Ray Gao

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Michael Rogers
> Sent: Saturday, August 02, 2003 9:45 AM
> To: p2prg
> Subject: [P2Prg] Definition of p2p
>
>
> Since nobody else seems keen to attempt a definition of peer-to-peer, I'll
> have a stab. I think Clay Shirkey was right when he said that
> peer-to-peer networks are characterised by existing at the edges of the
> internet. Here's my attempt at expanding on that thought:
>
> Peer-to-peer networks are defined by the following characteristics:
>
>       Each node typically has a different owner.
>
>       Participation is voluntary. Therefore p2p networks typically
>       depend on commodity hardware, software and connectivity.
>
>       Nodes are unreliable (compared to, say, corporate web servers).
>
>       Nodes may behave selfishly or maliciously.
>
> This definition is still too broad - would anyone like to help narrow it
> down?
>
>
> Michael
>
>
> _______________________________________________
> P2prg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2prg